## schooltool 2.5.1

=== debian/changelog ===
schooltool (1:2.5.1-0ubuntu3) saucy; urgency=low

  * debian/patches/python-imaging.patch: remove again, the egg is named
    Pillow.

 -- Gediminas Paulauskas <menesis@pov.lt>  Sat, 17 Aug 2013 19:18:00 +0300

schooltool (1:2.5.1-0ubuntu2) saucy; urgency=low

  * debian/patches/python-imaging.patch: re-add the patch to avoid dependency
    on python-pillow.

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 16 Aug 2013 15:57:20 +0300

schooltool (1:2.5.1-0ubuntu1) saucy; urgency=low

  * New upstream release
    - differeniate administrative permissions
    - improvements for journal and gradebook
  * debian/control:
    - remove python-redis from Depends, added upstream
  * debian/schooltool.postinst:
    - fix restart on upgrade
    - remove copying of schooltool-2009 database

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 02 Aug 2013 13:02:14 +0300
