## schooltool 2.5.2.1

=== debian/changelog ===
schooltool (1:2.5.2.1-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/schooltool.init: start all processes if supervisord is already
    running.

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 23 Aug 2013 12:40:58 +0300
