=== debian/control ===
--- 
+++ 
@@ -15,7 +15,6 @@
 Architecture: all
 Depends: ${pydeb:Depends}, ${python:Depends}, ${misc:Depends},
          libjs-jquery, libjs-jquery-ui,
-         python-redis,
 Breaks: python-schooltool.gradebook (<< 2.2),
         python-schooltool.lyceum.journal (<< 2.2),
         python-schooltool.cando (<< 0.7),
