## schooltool 2.5.3

=== Makefile ===
--- 
+++ 
@@ -174,6 +174,7 @@
 
 .PHONY: compile-translations
 compile-translations:
+	set -e ;\
 	for f in $(LOCALES)/*.po; do \
 	    mkdir -p $${f%.po}/LC_MESSAGES; \
 	    msgfmt -o $${f%.po}/LC_MESSAGES/$(PACKAGE).mo $$f;\
@@ -181,6 +182,7 @@
 
 .PHONY: update-translations
 update-translations:
+	set -e ;\
 	for f in $(LOCALES)/*.po; do \
 	    msgmerge -qUN $$f $(LOCALES)/$(PACKAGE).pot ;\
 	done
