=== debian/watch ===
version=3
http://ftp.schooltool.org/schooltool/trunk/schooltool-(\d.*)\.tar\.gz
