## schooltool 2.5.3.1

=== debian/changelog ===
schooltool (1:2.5.3.1-0ubuntu2) saucy; urgency=low

  * debian/patches/system-jquery.patch, debian/rules: temporarily use the
    included jqueryui because our themed css no longer matches the newer
    javascript in saucy (LP: #1228856)

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 24 Sep 2013 19:41:34 +0300

schooltool (1:2.5.3.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 17 Sep 2013 23:57:54 +0300

schooltool (1:2.5.3-0ubuntu3) saucy; urgency=low

  * debian/patches/python-imaging.patch: remove Pillow from .egg-info
  * debian/control: add python-imaging to Depends

 -- Gediminas Paulauskas <menesis@pov.lt>  Sat, 14 Sep 2013 03:02:58 +0300

schooltool (1:2.5.3-0ubuntu2) saucy; urgency=low

  * debian/schooltool.init: on start when running, wait maybe supervisor will die
    before starting.

 -- Gediminas Paulauskas <menesis@pov.lt>  Sat, 14 Sep 2013 00:03:09 +0300
