## schooltool 2.6.0

=== debian/changelog ===
schooltool (1:2.6.0-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/redis.conf: save redis databases less often.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 10 Oct 2013 19:46:04 +0300
