## schooltool 2.6.1.1

=== debian/changelog ===
schooltool (1:2.6.1.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release.
  * debian/supervisord.conf: autorestart schooltool if it dies.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 21 Nov 2013 03:34:52 +0200
