=== debian/changelog ===
schooltool (1:2.6.1.2-0ubuntu2) trusty; urgency=low

  * debian/patches/evolve42.patch: add to fix upgrade of an empty DB from
    2.6.0 to 2.6.1 (LP: #1258529)

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 11 Dec 2013 14:49:55 +0200

schooltool (1:2.6.1.2-0ubuntu1) trusty; urgency=low

  * New upstream micro release
    - Fix warning about unsaved changes in journal and cando (LP: #1253070)

 -- Gediminas Paulauskas <menesis@pov.lt>  Sun, 24 Nov 2013 22:31:44 +0200
