=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Package: python-schooltool
 Architecture: all
 Depends: ${pydeb:Depends}, ${python:Depends}, ${misc:Depends},
-         libjs-jquery, libjs-jquery-ui,
+         libjs-jquery, libjs-jquery-ui, python-imaging,
 Breaks: python-schooltool.gradebook (<< 2.2),
         python-schooltool.lyceum.journal (<< 2.2),
         python-schooltool.cando (<< 0.7),
