## schooltool 2.6.4

=== debian/changelog ===
schooltool (1:2.6.4-0ubuntu3) utopic; urgency=medium

  * debian/patches/utopic-zope.patch: compatibility with zope packages in utopic

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 16 Oct 2014 23:43:01 +0300

schooltool (1:2.6.4-0ubuntu2) utopic; urgency=low

  * Upload to utopic.

 -- Gediminas Paulauskas <menesis@pov.lt>  Mon, 05 May 2014 23:26:29 +0300

schooltool (1:2.6.4-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release.
    - Delete schedules that reference a deleted timetable (LP: #1280528)
    - Improve tab style to make active tab more clear (LP: #1023378)
    - Timetables copied from active year retain old start/end dates (LP: #1005962)
  * debian/patches/ckeditor4.patch: remove, fixed upstream.
  * debian/copyright: add a section for included d3 javascript library.
  * debian/missing-sources: add sources for included javascript libraries:
    - d3 2.9.7
    - jquery 1.7.1
    - jquery-scrollto 1.4.2
    - jquery-ui 1.8.18

 -- Gediminas Paulauskas <menesis@pov.lt>  Mon, 05 May 2014 21:09:49 +0300
