=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                python-all (>= 2.6.6-3~),
                python-setuptools,
                python-van.pydeb,
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.6
 Homepage: http://www.schooltool.org/
